Download it now!
Bug 130950 - CRASH: scrolling document
Summary: CRASH: scrolling document
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.0.0 target:7.1.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: Crash
  Show dependency treegraph
 
Reported: 2020-02-26 09:10 UTC by Xisco Faulí
Modified: 2020-06-02 19:33 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bt Windows (windbg) (68.25 KB, text/plain)
2020-02-26 10:15 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-02-26 09:10:17 UTC
Steps to reproduce:
1. Open attachment 79203 [details] from bug 64500
2. Scroll down

-> Crash

Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: e6b9bc3f2ecf0fb7fde5b02f9d750ccbe022f4c1
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-02-26 09:12:44 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ef8427d12a63127a2eb867637699343d630545dd

author	Michael Stahl <Michael.Stahl@cib.de>	2020-01-21 13:15:50 +0100
committer	Michael Stahl <michael.stahl@cib.de>	2020-01-30 14:18:46 +0100
commit	ef8427d12a63127a2eb867637699343d630545dd (patch)
tree	b3312295b36246c8bad99e417639445cfe23670e
parent	3a248dfe57318af57fc5df89652cb64dfa923e46 (diff)
tdf#45589 sw: invalidate on bookmark insertion/deletion

Bisected with: bibisect-linux64-6.5

Adding Cc: to Michael Stahl
Comment 2 Julien Nabet 2020-02-26 10:15:45 UTC
Created attachment 158198 [details]
bt Windows (windbg)

On Win10 with master sources updated today, I could reproduce this.

I noticed this log:
warn:sw.core:3288:6480:sw/source/core/doc/docbm.cxx:571: MarkManager::makeMark(..) - refusing to create mark on non-textnode
Comment 3 Michael Stahl (CIB) 2020-06-02 14:36:03 UTC
was apparently fixed by:

commit 71ed878556422068041025668876fb3300c128df
Author:     Michael Stahl <Michael.Stahl@cib.de>
AuthorDate: Mon Mar 30 16:26:41 2020 +0200
Commit:     Michael Stahl <michael.stahl@cib.de>
CommitDate: Mon Mar 30 17:36:48 2020 +0200

    crashtesting: null dereference of reexporting abi12570.odt to odt
    
    FLY_AT_FLY shape is anchored on SwStartNode of fly section.
    
    (regression from ef8427d12a63127a2eb867637699343d630545dd)
    
    Change-Id: I4fe70237c060cc810af82657bc5791e7024db8f5
    Reviewed-on: https://gerrit.libreoffice.org/c/core/+/91336
    Tested-by: Jenkins
    Reviewed-by: Michael Stahl <michael.stahl@cib.de>
Comment 4 Xisco Faulí 2020-06-02 14:45:06 UTC
Verified in

Version: 7.0.0.0.beta1+
Build ID: 2506d8221dd940dfd93d3d7c183430ba6ba3089d
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael, thanks for fixing this issue!
Comment 5 Commit Notification 2020-06-02 19:33:40 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1cfbe26f8f584fb4037ba99572f899a94a238e5b

tdf#130950: sw: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.